List posts
curl --request GET \
--url https://posted-api.example.com/api/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "22222222-2222-4222-8222-222222222222",
"text": "A small update from the studio.",
"additionalPosts": [],
"mediaOverrides": {},
"scheduledAt": "2027-01-18T09:30:00.000Z",
"idempotencyKey": "studio-update-2027-01-18",
"state": "scheduled",
"version": 1,
"createdAt": "2027-01-18T09:30:00.000Z",
"media": [
{
"id": "44444444-4444-4444-8444-444444444444",
"fileName": "studio.jpg",
"contentType": "image/jpeg",
"sizeBytes": 245760,
"width": 1600,
"height": 900,
"alt": "A bright studio desk beside a window",
"durationSeconds": null
}
],
"managedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
},
"deliveries": [
{
"id": "77777777-7777-4777-8777-777777777777",
"postIndex": 0,
"connectionId": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountName": "Alex Morgan",
"textOverride": null,
"state": "scheduled",
"providerPostId": null,
"publishedUrl": null,
"error": null,
"publishedAt": null
}
]
}
],
"total": 1,
"page": 1,
"pageSize": 20
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List posts
List scheduled posts or post history with per-account delivery states.
GET
/
api
/
posts
List posts
curl --request GET \
--url https://posted-api.example.com/api/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "22222222-2222-4222-8222-222222222222",
"text": "A small update from the studio.",
"additionalPosts": [],
"mediaOverrides": {},
"scheduledAt": "2027-01-18T09:30:00.000Z",
"idempotencyKey": "studio-update-2027-01-18",
"state": "scheduled",
"version": 1,
"createdAt": "2027-01-18T09:30:00.000Z",
"media": [
{
"id": "44444444-4444-4444-8444-444444444444",
"fileName": "studio.jpg",
"contentType": "image/jpeg",
"sizeBytes": 245760,
"width": 1600,
"height": 900,
"alt": "A bright studio desk beside a window",
"durationSeconds": null
}
],
"managedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
},
"deliveries": [
{
"id": "77777777-7777-4777-8777-777777777777",
"postIndex": 0,
"connectionId": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountName": "Alex Morgan",
"textOverride": null,
"state": "scheduled",
"providerPostId": null,
"publishedUrl": null,
"error": null,
"publishedAt": null
}
]
}
],
"total": 1,
"page": 1,
"pageSize": 20
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Read access: a read-enabled personal or team REST API key, or a signed-in user. OAuth clients use the corresponding MCP tool through /mcp.
List scheduled posts or post history with per-account delivery states.
Scheduled includes groups with a scheduled, preparing or publishing delivery. History includes the remaining groups, including failed, uncertain and cancelled outcomes. It is not a list of confirmed publications alone.
MCP clients can use
list_posts for this operation.
Request conventions · API keys · MCP connectionsAuthorizations
bearerAuthsessionCookie
Personal or team Posted REST API key
Query Parameters
scheduled, history
Available options:
scheduled, history integer
Required range:
1 <= x <= 9007199254740991integer
Required range:
1 <= x <= 100Was this page helpful?
